import request from '@/router/axios';


export const getOrgTree = () => {
    return request({
        url: '/api/galaxy-test/project/person/org/dict',
        method: 'get',

    })
}

export const getServicePersonList = (current, size, params) => {
    return request({
        url: '/api/galaxy-test/project/person/org/list',
        method: 'get',
        params: {
            ...params,
            current,
            size,
        }
    })
}

export const remove = (ids) => {
    return request({
        url: '/api/galaxy-test/project/person/remove',
        method: 'post',
        params: {
            ids,
        }
    })
}

export const add = (row) => {
    return request({
        url: '/api/galaxy-test/project/person/save',
        method: 'post',
        data: row
    })
}

export const update = (row) => {
    return request({
        url: '/api/galaxy-test/project/person/update',
        method: 'post',
        data: row
    })
}

export const getDetail = (id) => {
    return request({
        url: '/api/galaxy-test/project/person/detail',
        method: 'get',
        params: {
            id
        }
    })
}

